#
# Script : chrono.awk
#
# version modifiee de time.awk pour tourner avec chrono - Philippe Dax
#
BEGIN {
	FS = "\t"
}
/^$/	{ next }
{
	real+=$2
	r2+=$2*$2
	cpu=$3
	user+=$3
	sys+=$4
	c2+=(cpu+$4)*(cpu+$4)
	iter++;
}
END	{
	if (iter > 0) {
		printf "Elapsed Time: %.2f secondes",real/iter
		if (iter > 1) {
	printf " (ecart-type %.3f sec)",sqrt((r2-2*real*real/iter+real*real/iter)/(iter-1))
		}
		cpu=sys+user
		printf "\nCPU Time: %.2f secondes [ %.2fu + %.2fs ]",cpu/iter,user/iter,sys/iter
		if (iter > 1) {
	printf " (ecart-type %.3f sec)",sqrt((c2-2*cpu*cpu/iter+cpu*cpu/iter)/(iter-1))
		}
		print
	}
	else {
		print "Elapsed Time: -- no measured results!!"
		print "CPU Time: -- no measured results!!"
	}
}
