#
# Script awk : fs.awk
#
# $Header: fs.awk,v 5.1 87/09/25 04:49:51 kenj Exp $
#
# modifie pour tourner avec chrono - Philippe Dax - 15/6/88
#
/^\t /	{ next }
/^$/	{ next } 
/^\.\/disktime/ { next }
	{ if (!fail) {
		w+=$1; w2+=$1*$1; r+=$2; r2+=$2*$2; c+=$3; c2+=$3*$3; ok++
	}
	fail=0; iter++; next
}
{ print "** Iteration ",iter+1," Failed: ",$0; fail=1; }
END {
	if (fail) iter++
	if (ok != iter) {
	    printf "For %d successful iterations from %d attempts ...\n",ok,iter
	    iter=ok
	}
	if (iter > 0) {
		printf "Ecriture: %.1f Koctets par seconde  ",w/iter
		if (iter > 1) {
	  	var = (w2-2*w*w/iter+w*w/iter)/(iter-1)
		if ( var < 0. ) var = -var
	  	printf " (ecart-type %.1f Ko)",sqrt(var)
		}
		printf "\nLecture:  %.1f Koctets par seconde  ",r/iter
		if (iter > 1) {
	  	var = (r2-2*r*r/iter+r*r/iter)/(iter-1)
		if ( var < 0. ) var = -var
	  	printf " (ecart-type %.1f Ko)",sqrt(var)
		}
		printf "\nCopie:  %.1f Koctets par seconde  ",c/iter
		if (iter > 1) {
	  	var = (c2-2*c*c/iter+c*c/iter)/(iter-1)
		if ( var < 0. ) var = -var
	  	printf " (ecart-type %.1f Ko)",sqrt(var)
		}
		print
	} 
	else {
		print "Write: -- no measured results!!"
		print "Read: -- no measured results!!"
		print "Copy: -- no measured results!!"
	}
}
