main(argc, argv)
	char	*argv[];
{
	register int nexecs, i;
	char *cp, *malloc();
	int pid,child,status,size;

	if (argc < 3){
		printf("usage : %s number-of-execs malloc-size job-name\n", argv[0]);
		exit(1);
	}
	nexecs = atoi(argv[1]);
	if (nexecs < 0 ){
		printf("%s: bad number of execs \n", argv[1]);
		exit(2);
	}
	size = atoi(argv[2]);
	if (size < 0 ){
		printf("%s: bad size to malloc \n", argv[2]);
		exit(3);
	}
	cp = malloc(size);
	if((int)cp == -1){
		perror("malloc");
		exit(4);
	}
	for (i = 0; i < size; i += 1024)
		cp[i] = i;
	while (nexecs-- > 0){
		child = fork();
		if (child == -1){
			perror("fork");
			exit(-1);
		}
		if (child == 0){
			execv(argv[3], argv);
			perror("execv");
			exit(-1);
		}
		while((pid = wait(&status)) != -1 && pid != child)
				;
	}
	exit(0);
}

