/*
 *				SSBA 1.22F
 * hz.c
 */

#include <sys/types.h>
#include <sys/times.h>

#define DELAY	300

long	T1,Ticks,Hz;
struct	tms Ts;

#ifdef	VMUNIX
#include "../install/signal.h"
#include <sys/time.h>
#include <sys/resource.h>

struct rlimit Rlp;
int Sigxcpu();

main()
{
	signal(SIGXCPU, Sigxcpu);
	getrlimit(RLIMIT_CPU, &Rlp);
	Rlp.rlim_cur = DELAY;
	setrlimit(RLIMIT_CPU, &Rlp);
	times(&Ts);
	T1 = Ts.tms_utime;
	for (;;) ;
}
Sigxcpu()
{
	times(&Ts);
	Ticks = Ts.tms_utime - T1;
	Hz = (Ticks/DELAY + 5)/10 * 10;
	printf("%ld	/* Ticks = %ld (methode setrlimit) */\n", Hz, Ticks);
	exit(0);
}

#else	/* SYSTEM V */			/* version L. Diakite */

main()
{
	T1 = times(&Ts);
	sleep( DELAY );
	Ticks = (times(&Ts)-T1+DELAY/2)/DELAY;
	Hz = (Ticks+5)/10 * 10;
	printf("%ld	/* Ticks = %ld (methode times) */\n", Hz, Ticks);
}
#endif	/* SYSTEM V */
