/*
 *				SSBA 1.22F
 * nproc.c
 *
 * Ecrit par Philippe Dax (ENST)
 */

#include <stdio.h>
#include "../install/signal.h"

#define NPROC_BEFORE	10	/* /bin/sh + nproc + shells ssba */
#define NPROC_LIMIT	100

main()
{
	int nproc = NPROC_BEFORE;
	int xid = 0;
	static int pid[NPROC_LIMIT];

	for (;;) {
		switch (pid[xid] = fork()) {
		case 0 : pause(); exit(1);
		case -1:
			printf("%d\n", nproc);
			while (xid--) kill(pid[xid], SIGKILL);
			while (wait(0) != -1) ;
			exit(0);
		default:
			xid++;
			if (nproc == NPROC_LIMIT) {
			printf("superieur a %d\n", nproc);
			while (xid) kill(pid[--xid], SIGKILL);
			while (wait(0) != -1) ;
			exit(0);
			}
			nproc++; 
			continue;
		}
	}
}
