.\"------------------------------------------------------
.\"                                                	|
.\"                 tribu.mm  (mm)                 	|
.\"                                                	|
.\"	Jeu de macros mm pour Tribunix		   	|
.\"                                                	|
.\"	Appel :						|
.\"		.ds RU NOM_DE_RUBRIQUE			|
.\"		.so macros/tribu.mm			|
.\"		.PA n	(n = numero de la premiere page)|
.\"                                                	|
.\"	Auteur : Philippe Dax	24/10/88 Copyright 88  	|
.\"                                                	|
.\"------------------------------------------------------
.		\"----- Numero du Tribunix
.ds NU 36
.		\"----- Mois et annee
.ds MS janvier/f\('evrier 1991
.		\"----- Registres utilisateur
.nr O 2.2c
.nr W 16c
.nr N 0
.nr L 11i+1c
.nr 1W 16c
.nr 2W 7.5c
.		\"----- Macros mm Tribunix
.\".so /usr/lib/macros/mmt
.so /usr/lib/macros/mm.tribu
.		\"----- Indentation paragraphe apres section
.nr Pt 1
.		\"----- Longueur d'indentation paragraphe
.nr Pi 5
.		\"----- Saut apres titre niveau 3
.nr Hs 3
.		\"----- Break apres titre niveau 7
.nr Hb 7
.		\"----- Niveau max pour le sommaire
.nr Cl 4
.		\"----- Longueur d'indentation pour les listes
.nr Li 2
.		\"-----
.\" .nr Np 1
.		\"----- Hyphenation
.nr Hy 14
.		\"----- Numero initial des footnotes
.nr :p 1
.		\"----- Blanc insecable
.tr ~ 
.		\"----- Point size = 11, Vertical = 13
.S 11 13
.		\"----- Titres bold en Point size 12
.ds HF 3 3 3 3 3 3 3
.ds HP 13 12 12 11 11 11 11
.ds HM 1 1 1 1 1 1 1
.		\"----- Haut de page
.PH ""
.OH "'''\f(HB\s11\\\\*(RU\s0\fP'"
.EH "'\f(HB\s11\\\\*(RU\s0\fP'''"
.		\"----- Bas de page
.PF ""
.OF "'\s-1\fITribunix N\(de \\\\*(NU - \\\\*(MS\fR\s0''\\\\nP'"
.EF "'\\\\nP''\s-1\fITribunix N\(de \\\\*(NU - \\\\*(MS\fR\s0'"
.FD "" 1
.ta \n(1W-2c \n(1W-1cR
.de TP		\"-----	.TP Reprogrammation du Top of Page
'sp
.)K
.af;P \\gP
.afP 1
.nr;P \\nP
.afP \\g(;P
.af;P 1
.tl \\*(}t
'if!\\n(;P%2 'tl \\*(}e
'if\\n(;P%2 'tl \\*(}o
.sp -0.5			\" repositionnement vertical
\\l'\\n(1Wu-'			\" trait fin
.br				\" break
.sp -0.8			\" repositionnement vertical
\\s+(29\\l'\\n(1Wu-'\\s0	\" trait epais
.br				\" break
.sp 1c				\" espace de 1cm
..
.de)k		\"----- .)k Non-impression des cut marks
.po0
.lt7.5i
.ps10
.vs10p
.ft1
.tl''''
.ft
.vs
.po
.ps
.lt
..
.BS		\"----- Bottom start
.br				\" break
\\l'\\n(1Wu-'			\" trait fin
.br				\" break
.BE		\"----- Bottom end
.de PA		\"-----	.PA Numero de premiere page
.nr P \\$1-1			\" numero de page -1 avant la transition
..
.de PP		\"-----	.PP Debut de paragraphe indente (compatible ms)
.P 1
..
.de LP		\"-----	.LP Debut de paragraphe non indente (compatible ms)
.P 0
..
.de p		\"-----	.p Passage a la ligne avec indentation
.ti +5n
..
.de bx		\"-----	.bx "Boite autour d'une chaine"
\(br\ \\$1\ \(br\l'|0\(rn'\l'|0\(ul'
..
.de us		\"-----	.us "Soulignement de chaines"
\\$1\l'|0\(ul'
..
.de bu		\"-----	.bu Bulle noire
\s+2\(bu\s-2\ \ 
..
.de fd		\"-----	.fd Fleche droite
\s+2\(->\s-2\ \ 
..
.de ca		\"-----	.ca Carre blanc
\s+2\(sq\s-2\ \ 
..
.de th		\"-----	.th Trait horizontal
.br				\" break
\\l'\\n(1Wu-'			\" trait fin
..
.de Lt		\"-----	.lt Long Trait horizontal
.br				\" break
\\l'\\n(1Wu-'			\" trait fin
..
.de Ht		\"-----	.dt Demi Trait horizontal
.br				\" break
\\l'\\n(2Wu-'			\" trait fin
..
.\" Boite autour d'un texte
.\" .B1 debut de boite
.de B1
.mk z
..
.\" .B2 fin de boite
.de B2
.sp -1
.nf
\h'-1n'\L'|\\nzu-1'\l'\\n(.lu+2n\(ul'\L'-|\\nzu+1'\l'|0u-1n\(ul'
.fi
..
.de Pu		\"----- demi-page de publicite
.br
.1C
.ce
\fBP U B L I C I T E\fP
.ps -0.5
\\s+(29\\l'\\n(1Wu-'\\s0
.sp 1
.bp
.2C
..
.de T+
.DS
.in +1c
..
.de T-
.in -1c
.DE
..
.de P+
.DS
.NS
.tr
.ps 10
.vs 12
.in +.5c
.ft C
..
.de P-
.ft P
.tr ~ 
.ps
.vs
.in -.5c
.DE
.NE
..
.de p+
.NS
.DS
.tr
.in +.5c
.ps 9
.vs 11
.ft C
..
.de p-
.ft P
.tr ~ 
.ps
.vs
.in -.5c
.DE
.NE
..
.de AU
.sp
.ps 11
\fI\\$1\fP
.ps
..
.de TL
.ps 14
.ft HB
.B1
.sp .5
\\$1
.sp .5
.B2
.ft P
.ps
..
.de AB
.sp
.ce
\fIRESUME\fP
.sp
.in +1c
.ll -1c
.ti +5n
..
.de AE
.ll +1c
.in -1c
.sp
..
.de AI
.sp
.ft R
.ps 11
\\$1
.sp .5
..
